This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 890030

Summary: Glance should not accept null values as valid parameters when uploading an image via CLI
Product: [Fedora] Fedora Reporter: Nir Magnezi <nmagnezi>
Component: openstack-glanceAssignee: Pádraig Brady <p>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 19CC: akscram, alexander.sakhnov, aortega, apevec, bfilippov, breu, bsettle, Jan.van.Eldik, jonathansteffan, jose.castro.leon, lpeer, markmc, matt_domsch, mlvov, ndipanov, p, rbryant
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 09:38:25 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Nir Magnezi 2012-12-24 08:08:43 EST
Description of problem:
=======================
Glance should not accept null values as valid parameters when uploading an image via CLI.


Version-Release number of selected component (if applicable):
=============================================================
openstack-glance-2012.2-2.fc18.noarch
python-glance-2012.2-2.fc18.noarch
python-glanceclient-0.5.1-1.fc18.noarch


How reproducible:
=================
100%


Steps to Reproduce:
===================
1. upload an image with no values.

# glance image-create

2. list images

# glance image-list

  
Actual results:
===============
1. output for: glance image-create
+------------------+--------------------------------------+
| Property         | Value                                |
+------------------+--------------------------------------+
| checksum         | None                                 |
| container_format | None                                 |
| created_at       | 2012-12-24T12:42:25                  |
| deleted          | False                                |
| deleted_at       | None                                 |
| disk_format      | None                                 |
| id               | e95b1ff2-78c8-4eee-b487-bacd9001cdc0 |
| is_public        | False                                |
| min_disk         | 0                                    |
| min_ram          | 0                                    |
| name             | None                                 |
| owner            | bdb7d98e14ec4d9f8a06116d7c007f06     |
| protected        | False                                |
| size             | 0                                    |
| status           | queued                               |
| updated_at       | 2012-12-24T12:42:25                  |
+------------------+--------------------------------------+

2. output for: glance image-list
+--------------------------------------+------+-------------+------------------+------+--------+
| ID                                   | Name | Disk Format | Container Format | Size | Status |
+--------------------------------------+------+-------------+------------------+------+--------+
| e95b1ff2-78c8-4eee-b487-bacd9001cdc0 |      |             |                  |      | queued |
+--------------------------------------+------+-------------+------------------+------+--------+


Expected results:
=================
1. glance should reject the command, and indicate that it's invalid.


Additional info:
================
The image status remains queued.
Comment 1 Fedora End Of Life 2013-04-03 12:03:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Fedora Admin XMLRPC Client 2014-04-09 06:02:51 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2015-01-09 12:32:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 09:38:25 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.